summaryrefslogtreecommitdiff
path: root/tests/configs
diff options
context:
space:
mode:
authorScott Moser <smoser@ubuntu.com>2012-07-06 17:31:01 -0400
committergit-ubuntu importer <ubuntu-devel-discuss@lists.ubuntu.com>2012-07-06 21:35:18 +0000
commite026be5963d2ff5066dcc2636efecc62b73323a3 (patch)
tree547af4849a69768634631e4f6db9084f4a0558f6 /tests/configs
parentd6912c88515c3582977001838ba1b3451832ec0b (diff)
downloadcloud-init-git-e026be5963d2ff5066dcc2636efecc62b73323a3.tar.gz
0.7.0~bzr564-0ubuntu1 (patches unapplied)
Imported using git-ubuntu import.
Diffstat (limited to 'tests/configs')
-rw-r--r--tests/configs/sample1.yaml53
1 files changed, 53 insertions, 0 deletions
diff --git a/tests/configs/sample1.yaml b/tests/configs/sample1.yaml
new file mode 100644
index 00000000..24e874ee
--- /dev/null
+++ b/tests/configs/sample1.yaml
@@ -0,0 +1,53 @@
+#cloud-config
+#apt_update: false
+#apt_upgrade: true
+packages: [ bzr, pastebinit, ubuntu-dev-tools, ccache, bzr-builddeb, vim-nox, git-core, lftp ]
+
+#apt_sources:
+# - source: ppa:smoser/ppa
+
+#disable_root: False
+
+# mounts:
+# - [ ephemeral0, /mnt ]
+# - [ swap, none, swap, sw, 0, 0 ]
+
+ssh_import_id: [smoser ]
+
+#!/bin/sh
+
+output: {all: '| tee -a /var/log/cloud-init-output.log'}
+
+sm_misc:
+ - &user_setup |
+ set -x; exec > ~/user_setup.log 2>&1
+ echo "starting at $(date -R)"
+ echo "set -o vi" >> ~/.bashrc
+ cat >> ~/.profile <<"EOF"
+ export EDITOR=vi
+ export DEB_BUILD_OPTIONS=parallel=4
+ export PATH=/usr/lib/ccache:$PATH
+ EOF
+
+ mkdir ~/bin
+ chmod 755 ~/bin
+ cat > ~/bin/mdebuild <<"EOF"
+ #!/bin/sh
+ exec debuild --prepend-path /usr/lib/ccache "$@"
+ EOF
+ chmod 755 ~/bin/*
+
+ #byobu-launcher-install
+ byobu-ctrl-a screen 2>&1 || :
+
+ echo "pinging 8.8.8.8"
+ ping -c 4 8.8.8.8
+
+runcmd:
+ - [ sudo, -Hu, ubuntu, sh, -c, '[ -e /var/log/cloud-init.log ] || exit 0; grep "cloud-init.*running" /var/log/cloud-init.log > ~/runcmd.log' ]
+ - [ sudo, -Hu, ubuntu, sh, -c, 'read up sleep < /proc/uptime; echo $(date): runcmd up at $up | tee -a ~/runcmd.log' ]
+ - [ sudo, -Hu, ubuntu, sh, -c, *user_setup ]
+
+
+byobu_by_default: user
+output: {all: '| tee -a /var/log/cloud-init-output.log'}